aboutsummaryrefslogtreecommitdiffstats
path: root/coin
diff options
context:
space:
mode:
authorAlexey Edelev <alexey.edelev@qt.io>2022-05-27 16:45:58 +0200
committerMÃ¥rten Nordheim <marten.nordheim@qt.io>2022-09-08 10:27:57 +0200
commit134c07923cc1a29e1a4e749cfde9d6067ffd4266 (patch)
tree2b03eaf4eb74456234e26f7c8e0fa9746059ed44 /coin
parentad84c5cb8a02acc8ee98871b06e1207418dd0afd (diff)
Rename protobuf provisioning scripts
Use correct protobuf project name for provisioning scripts. This also should trigger provisioning for all the involved platforms. Change-Id: I4cfa74c1d41f497db528ee3ae152db1d51de821a Reviewed-by: Alexey Edelev <alexey.edelev@qt.io>
Diffstat (limited to 'coin')
-rwxr-xr-xcoin/provisioning/common/unix/install_protobuf.sh (renamed from coin/provisioning/common/unix/install_protobuff.sh)0
-rw-r--r--[-rwxr-xr-x]coin/provisioning/qtci-linux-CentOS-8.3-x86_64/60-install_protobuf.sh (renamed from coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/60-install_protobuff.sh)4
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-8.2-x86_64/60-install_protobuf.sh (renamed from coin/provisioning/qtci-linux-CentOS-8.3-x86_64/60-install_protobuff.sh)4
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/60-install_protobuf.sh (renamed from coin/provisioning/qtci-linux-RHEL-8.2-x86_64/60-install_protobuff.sh)4
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-20.04-x86_64/60-install_protobuf.sh (renamed from coin/provisioning/qtci-linux-RHEL-8.4-x86_64/60-install_protobuff.sh)4
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-20.04-x86_64/60-install_protobuff.sh46
-rw-r--r--coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/60-install_protobuf.sh46
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.3-x86_64/60-install_protobuf.sh46
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.3-x86_64/60-install_protobuff.sh46
-rwxr-xr-xcoin/provisioning/qtci-macos-10.15-x86_64/35-install_protobuf.sh (renamed from coin/provisioning/qtci-macos-10.15-x86_64/35-install_protobuff.sh)4
-rwxr-xr-xcoin/provisioning/qtci-macos-11.0-arm/35-install_protobuf.sh (renamed from coin/provisioning/qtci-macos-11-x86_64/35-install_protobuff.sh)4
-rwxr-xr-xcoin/provisioning/qtci-macos-12-x86_64/35-install_protobuf.sh (renamed from coin/provisioning/qtci-macos-11.0-arm/35-install_protobuff.sh)4
-rwxr-xr-xcoin/provisioning/qtci-macos-12.0-arm/35-install_protobuf.sh (renamed from coin/provisioning/qtci-macos-12-x86_64/35-install_protobuff.sh)4
-rwxr-xr-xcoin/provisioning/qtci-macos-12.0-arm/35-install_protobuff.sh46
14 files changed, 108 insertions, 154 deletions
diff --git a/coin/provisioning/common/unix/install_protobuff.sh b/coin/provisioning/common/unix/install_protobuf.sh
index eb5dea24..eb5dea24 100755
--- a/coin/provisioning/common/unix/install_protobuff.sh
+++ b/coin/provisioning/common/unix/install_protobuf.sh
diff --git a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/60-install_protobuff.sh b/coin/provisioning/qtci-linux-CentOS-8.3-x86_64/60-install_protobuf.sh
index 2f55353a..19c8af39 100755..100644
--- a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/60-install_protobuff.sh
+++ b/coin/provisioning/qtci-linux-CentOS-8.3-x86_64/60-install_protobuf.sh
@@ -41,6 +41,6 @@
set -ex
-# shellcheck source=../common/unix/install_protobuff.sh
-source "${BASH_SOURCE%/*}/../common/unix/install_protobuff.sh"
+# shellcheck source=../common/unix/install_protobuf.sh
+source "${BASH_SOURCE%/*}/../common/unix/install_protobuf.sh"
diff --git a/coin/provisioning/qtci-linux-CentOS-8.3-x86_64/60-install_protobuff.sh b/coin/provisioning/qtci-linux-RHEL-8.2-x86_64/60-install_protobuf.sh
index 2f55353a..19c8af39 100755
--- a/coin/provisioning/qtci-linux-CentOS-8.3-x86_64/60-install_protobuff.sh
+++ b/coin/provisioning/qtci-linux-RHEL-8.2-x86_64/60-install_protobuf.sh
@@ -41,6 +41,6 @@
set -ex
-# shellcheck source=../common/unix/install_protobuff.sh
-source "${BASH_SOURCE%/*}/../common/unix/install_protobuff.sh"
+# shellcheck source=../common/unix/install_protobuf.sh
+source "${BASH_SOURCE%/*}/../common/unix/install_protobuf.sh"
diff --git a/coin/provisioning/qtci-linux-RHEL-8.2-x86_64/60-install_protobuff.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/60-install_protobuf.sh
index 2f55353a..19c8af39 100755
--- a/coin/provisioning/qtci-linux-RHEL-8.2-x86_64/60-install_protobuff.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/60-install_protobuf.sh
@@ -41,6 +41,6 @@
set -ex
-# shellcheck source=../common/unix/install_protobuff.sh
-source "${BASH_SOURCE%/*}/../common/unix/install_protobuff.sh"
+# shellcheck source=../common/unix/install_protobuf.sh
+source "${BASH_SOURCE%/*}/../common/unix/install_protobuf.sh"
diff --git a/coin/provisioning/qtci-linux-RHEL-8.4-x86_64/60-install_protobuff.sh b/coin/provisioning/qtci-linux-Ubuntu-20.04-x86_64/60-install_protobuf.sh
index 2f55353a..19c8af39 100755
--- a/coin/provisioning/qtci-linux-RHEL-8.4-x86_64/60-install_protobuff.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-20.04-x86_64/60-install_protobuf.sh
@@ -41,6 +41,6 @@
set -ex
-# shellcheck source=../common/unix/install_protobuff.sh
-source "${BASH_SOURCE%/*}/../common/unix/install_protobuff.sh"
+# shellcheck source=../common/unix/install_protobuf.sh
+source "${BASH_SOURCE%/*}/../common/unix/install_protobuf.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-20.04-x86_64/60-install_protobuff.sh b/coin/provisioning/qtci-linux-Ubuntu-20.04-x86_64/60-install_protobuff.sh
deleted file mode 100755
index 2f55353a..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-20.04-x86_64/60-install_protobuff.sh
+++ /dev/null
@@ -1,46 +0,0 @@
-#!/usr/bin/env bash
-
-#############################################################################
-##
-## Copyright (C) 2018 The Qt Company Ltd.
-## Contact: https://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see https://www.qt.io/terms-conditions. For further
-## information use the contact form at https://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 3 as published by the Free Software
-## Foundation and appearing in the file LICENSE.LGPL3 included in the
-## packaging of this file. Please review the following information to
-## ensure the GNU Lesser General Public License version 3 requirements
-## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-##
-## GNU General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU
-## General Public License version 2.0 or (at your option) the GNU General
-## Public license version 3 or any later version approved by the KDE Free
-## Qt Foundation. The licenses are as published by the Free Software
-## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-## included in the packaging of this file. Please review the following
-## information to ensure the GNU General Public License requirements will
-## be met: https://www.gnu.org/licenses/gpl-2.0.html and
-## https://www.gnu.org/licenses/gpl-3.0.html.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
-
-set -ex
-
-# shellcheck source=../common/unix/install_protobuff.sh
-source "${BASH_SOURCE%/*}/../common/unix/install_protobuff.sh"
-
diff --git a/coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/60-install_protobuf.sh b/coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/60-install_protobuf.sh
new file mode 100644
index 00000000..19c8af39
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/60-install_protobuf.sh
@@ -0,0 +1,46 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+# shellcheck source=../common/unix/install_protobuf.sh
+source "${BASH_SOURCE%/*}/../common/unix/install_protobuf.sh"
+
diff --git a/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/60-install_protobuf.sh b/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/60-install_protobuf.sh
new file mode 100755
index 00000000..19c8af39
--- /dev/null
+++ b/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/60-install_protobuf.sh
@@ -0,0 +1,46 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+# shellcheck source=../common/unix/install_protobuf.sh
+source "${BASH_SOURCE%/*}/../common/unix/install_protobuf.sh"
+
diff --git a/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/60-install_protobuff.sh b/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/60-install_protobuff.sh
deleted file mode 100755
index 2f55353a..00000000
--- a/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/60-install_protobuff.sh
+++ /dev/null
@@ -1,46 +0,0 @@
-#!/usr/bin/env bash
-
-#############################################################################
-##
-## Copyright (C) 2018 The Qt Company Ltd.
-## Contact: https://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see https://www.qt.io/terms-conditions. For further
-## information use the contact form at https://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 3 as published by the Free Software
-## Foundation and appearing in the file LICENSE.LGPL3 included in the
-## packaging of this file. Please review the following information to
-## ensure the GNU Lesser General Public License version 3 requirements
-## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-##
-## GNU General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU
-## General Public License version 2.0 or (at your option) the GNU General
-## Public license version 3 or any later version approved by the KDE Free
-## Qt Foundation. The licenses are as published by the Free Software
-## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-## included in the packaging of this file. Please review the following
-## information to ensure the GNU General Public License requirements will
-## be met: https://www.gnu.org/licenses/gpl-2.0.html and
-## https://www.gnu.org/licenses/gpl-3.0.html.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
-
-set -ex
-
-# shellcheck source=../common/unix/install_protobuff.sh
-source "${BASH_SOURCE%/*}/../common/unix/install_protobuff.sh"
-
diff --git a/coin/provisioning/qtci-macos-10.15-x86_64/35-install_protobuff.sh b/coin/provisioning/qtci-macos-10.15-x86_64/35-install_protobuf.sh
index 08c955e9..2ef3eb8f 100755
--- a/coin/provisioning/qtci-macos-10.15-x86_64/35-install_protobuff.sh
+++ b/coin/provisioning/qtci-macos-10.15-x86_64/35-install_protobuf.sh
@@ -41,6 +41,6 @@
set -ex
-# shellcheck source=../common/unix/install_protobuff.sh
-source "${BASH_SOURCE%/*}/../common/unix/install_protobuff.sh"
+# shellcheck source=../common/unix/install_protobuf.sh
+source "${BASH_SOURCE%/*}/../common/unix/install_protobuf.sh"
diff --git a/coin/provisioning/qtci-macos-11-x86_64/35-install_protobuff.sh b/coin/provisioning/qtci-macos-11.0-arm/35-install_protobuf.sh
index 08c955e9..2ef3eb8f 100755
--- a/coin/provisioning/qtci-macos-11-x86_64/35-install_protobuff.sh
+++ b/coin/provisioning/qtci-macos-11.0-arm/35-install_protobuf.sh
@@ -41,6 +41,6 @@
set -ex
-# shellcheck source=../common/unix/install_protobuff.sh
-source "${BASH_SOURCE%/*}/../common/unix/install_protobuff.sh"
+# shellcheck source=../common/unix/install_protobuf.sh
+source "${BASH_SOURCE%/*}/../common/unix/install_protobuf.sh"
diff --git a/coin/provisioning/qtci-macos-11.0-arm/35-install_protobuff.sh b/coin/provisioning/qtci-macos-12-x86_64/35-install_protobuf.sh
index 08c955e9..2ef3eb8f 100755
--- a/coin/provisioning/qtci-macos-11.0-arm/35-install_protobuff.sh
+++ b/coin/provisioning/qtci-macos-12-x86_64/35-install_protobuf.sh
@@ -41,6 +41,6 @@
set -ex
-# shellcheck source=../common/unix/install_protobuff.sh
-source "${BASH_SOURCE%/*}/../common/unix/install_protobuff.sh"
+# shellcheck source=../common/unix/install_protobuf.sh
+source "${BASH_SOURCE%/*}/../common/unix/install_protobuf.sh"
diff --git a/coin/provisioning/qtci-macos-12-x86_64/35-install_protobuff.sh b/coin/provisioning/qtci-macos-12.0-arm/35-install_protobuf.sh
index 08c955e9..2ef3eb8f 100755
--- a/coin/provisioning/qtci-macos-12-x86_64/35-install_protobuff.sh
+++ b/coin/provisioning/qtci-macos-12.0-arm/35-install_protobuf.sh
@@ -41,6 +41,6 @@
set -ex
-# shellcheck source=../common/unix/install_protobuff.sh
-source "${BASH_SOURCE%/*}/../common/unix/install_protobuff.sh"
+# shellcheck source=../common/unix/install_protobuf.sh
+source "${BASH_SOURCE%/*}/../common/unix/install_protobuf.sh"
diff --git a/coin/provisioning/qtci-macos-12.0-arm/35-install_protobuff.sh b/coin/provisioning/qtci-macos-12.0-arm/35-install_protobuff.sh
deleted file mode 100755
index 08c955e9..00000000
--- a/coin/provisioning/qtci-macos-12.0-arm/35-install_protobuff.sh
+++ /dev/null
@@ -1,46 +0,0 @@
-#!/usr/bin/env bash
-
-#############################################################################
-##
-## Copyright (C) 2020 The Qt Company Ltd.
-## Contact: https://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see https://www.qt.io/terms-conditions. For further
-## information use the contact form at https://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 3 as published by the Free Software
-## Foundation and appearing in the file LICENSE.LGPL3 included in the
-## packaging of this file. Please review the following information to
-## ensure the GNU Lesser General Public License version 3 requirements
-## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-##
-## GNU General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU
-## General Public License version 2.0 or (at your option) the GNU General
-## Public license version 3 or any later version approved by the KDE Free
-## Qt Foundation. The licenses are as published by the Free Software
-## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-## included in the packaging of this file. Please review the following
-## information to ensure the GNU General Public License requirements will
-## be met: https://www.gnu.org/licenses/gpl-2.0.html and
-## https://www.gnu.org/licenses/gpl-3.0.html.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
-
-set -ex
-
-# shellcheck source=../common/unix/install_protobuff.sh
-source "${BASH_SOURCE%/*}/../common/unix/install_protobuff.sh"
-